
From: Christoph Hellwig <hch@lst.de>

This one is a little funny.  The SGI trees don't show this issue because dmapi
and quota are separate modules so they must be unloaded before xfs_fs_exit can
be called at all.

So let's move the exitcalls for them in mainline first to simulate that
behaviour.


---

 25-akpm/fs/xfs/linux/xfs_super.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/xfs/linux/xfs_super.c~fix-warn_on-on-xfs-module-unload fs/xfs/linux/xfs_super.c
--- 25/fs/xfs/linux/xfs_super.c~fix-warn_on-on-xfs-module-unload	Mon May  3 14:15:04 2004
+++ 25-akpm/fs/xfs/linux/xfs_super.c	Mon May  3 14:15:04 2004
@@ -833,10 +833,10 @@ undo_inodecache:
 STATIC void __exit
 exit_xfs_fs( void )
 {
-	unregister_filesystem(&xfs_fs_type);
-	xfs_cleanup();
 	vfs_exitquota();
 	vfs_exitdmapi();
+	unregister_filesystem(&xfs_fs_type);
+	xfs_cleanup();
 	pagebuf_terminate();
 	destroy_inodecache();
 	ktrace_uninit();

_
